status_id defaults to 0); pass status_id to change this. Each item is wrapped in a ClientAppointment object. Requires a permission that grants access to clients' notes & appointments.curl --location --globoff 'https://.daftra.com/api2/client_appointments{{format}}?status_id=0&item_id=512&partner_id=512&action_id=undefined&follow_up_status=undefined&id=undefined&exclude_app_id=undefined&assign_staff_id=undefined&limit=undefined&page=undefined' \
--header 'Accept: application/json' \
--header 'apikey: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'{
"code": 200,
"result": "successful",
"data": [
{
"ClientAppointment": {
"id": 1024,
"item_type": 1,
"item_id": 512,
"partner_type": 1,
"partner_id": 512,
"staff_id": 0,
"date": "2026-07-01 10:00:00",
"end_date": "2019-08-24T14:15:22.123Z",
"body": "string",
"action_id": 0,
"status": 0,
"status_date": "2019-08-24T14:15:22.123Z",
"post_id": 0,
"recurring_appointment_id": 0,
"share_with_partner": true,
"is_waiting": true,
"branch_id": 0,
"created": "2019-08-24T14:15:22.123Z",
"modified": "2019-08-24T14:15:22.123Z"
}
}
],
"pagination": {
"prev": "/api2/clients/?page=1",
"next": "/api2/clients/?page=3",
"page": 2,
"page_count": 5,
"total_results": 98
}
}